Subject: Re: [Simple] I-D ACTION:draft-ietf-simple-iscomposing-01.txt

From: Miguel Garcia <[email-masked]>
Date: Tue, 01 Jun 2004 08:22:26 +0300

Hi:

I checked the schema with XMLSpy and it validates correctly.

BR,

    Miguel

Henning Schulzrinne wrote:
> Thanks for checking. I think I finally got them all:
> 
> http://www.cs.columbia.edu/sip/draft/iscomposing/draft-ietf-simple-iscomposing-02.html 
> 
> http://www.cs.columbia.edu/sip/draft/iscomposing/draft-ietf-simple-iscomposing-02.txt 
> 
> 
> I will submit the new drafts tomorrow.
> 
> (Unfortunately, XMLSpy doesn't seem to catch out-of-order elements, even 
> with processContents="strict".)
> 
> Miguel Garcia wrote:
> 
>> I'm sorry to be picky on this, but XMLSpy gives an error when I try to 
>> validate the schema.
>>
>> Apparently XMLSpy does not like an <element> followed by a <sequence>:
>>
>>   <xs:element name="isComposing">
>>     <xs:sequence>
>>
>>
>> But inserting a <complexType> in between seems solve the problem:
>>
>>   <xs:element name="isComposing">
>>     <xs:complexType>
>>       <xs:sequence>
>>
>> This one seems to be OK to me, but folks please check if this is correct.
>>
>> Another comment: the example in section 5 provides a <lastactivity> 
>> element. It should be <lastactive>. Additionally, the example does not 
>> follow the same order of elements declared in the schema. The order 
>> should be:
>>
>>       <state>
>>       <lastactive>
>>       <contenttype>
>>       <refresh>
>>
>> Regards,
>>
>>        Miguel
>>
>>
>>
> 

-- 
Miguel A. Garcia           tel:+358-50-4804586
Nokia Research Center      Helsinki, Finland

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple